Bug 973243 - [abrt] pdfchain-0.3.3-4.fc19: gtk_tree_model_filter_row_deleted: Process /usr/bin/pdfchain was killed by signal 11 (SIGSEGV)
[abrt] pdfchain-0.3.3-4.fc19: gtk_tree_model_filter_row_deleted: Process /usr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pdfchain (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:350ee2355eabb33bee9acea19d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 10:29 EDT by Julien Vehent [:ulfr]
Modified: 2015-02-17 10:32 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:32:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (50.48 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: cgroup (140 bytes, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: core_backtrace (2.48 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: dso_list (8.70 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: environ (1.83 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: maps (45.28 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: open_fds (1.22 KB, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: proc_pid_status (917 bytes, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details
File: var_log_messages (396 bytes, text/plain)
2013-06-11 10:29 EDT, Julien Vehent [:ulfr]
no flags Details

  None (edit)
Description Julien Vehent [:ulfr] 2013-06-11 10:29:24 EDT
Description of problem:
Removed pages from a 10MB pdf (scanned document). The removal worked fine, and the new document was saved, but pdfchain crashed in the background afterward.

Version-Release number of selected component:
pdfchain-0.3.3-4.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        pdfchain
crash_function: gtk_tree_model_filter_row_deleted
executable:     /usr/bin/pdfchain
kernel:         3.9.4-300.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_model_filter_row_deleted at gtktreemodelfilter.c:2588
 #5 gtk_tree_model_row_deleted at gtktreemodel.c:1867
 #6 emit_row_deleted_for_row at gtkfilesystemmodel.c:331
 #7 remove_file at gtkfilesystemmodel.c:1912
 #8 gtk_file_system_model_monitor_change at gtkfilesystemmodel.c:1257
 #9 ffi_call_unix64 at ../src/x86/unix64.S:76
 #10 ffi_call at ../src/x86/ffi64.c:522
 #11 g_cclosure_marshal_generic_va at gclosure.c:1550
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 emit_cb at gfilemonitor.c:396
Comment 1 Julien Vehent [:ulfr] 2013-06-11 10:29:27 EDT
Created attachment 759648 [details]
File: backtrace
Comment 2 Julien Vehent [:ulfr] 2013-06-11 10:29:29 EDT
Created attachment 759649 [details]
File: cgroup
Comment 3 Julien Vehent [:ulfr] 2013-06-11 10:29:33 EDT
Created attachment 759650 [details]
File: core_backtrace
Comment 4 Julien Vehent [:ulfr] 2013-06-11 10:29:35 EDT
Created attachment 759651 [details]
File: dso_list
Comment 5 Julien Vehent [:ulfr] 2013-06-11 10:29:39 EDT
Created attachment 759652 [details]
File: environ
Comment 6 Julien Vehent [:ulfr] 2013-06-11 10:29:42 EDT
Created attachment 759653 [details]
File: limits
Comment 7 Julien Vehent [:ulfr] 2013-06-11 10:29:45 EDT
Created attachment 759654 [details]
File: maps
Comment 8 Julien Vehent [:ulfr] 2013-06-11 10:29:47 EDT
Created attachment 759655 [details]
File: open_fds
Comment 9 Julien Vehent [:ulfr] 2013-06-11 10:29:50 EDT
Created attachment 759656 [details]
File: proc_pid_status
Comment 10 Julien Vehent [:ulfr] 2013-06-11 10:29:52 EDT
Created attachment 759657 [details]
File: var_log_messages
Comment 11 Fedora Admin XMLRPC Client 2014-07-22 13:46:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 12 Fedora Admin XMLRPC Client 2014-07-22 18:10:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 13 Fedora End Of Life 2015-01-09 13:23:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 10:32:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.